Bug 136028 - databases/mysql-proxy - allow multiple backend addresses with mysql-proxy startup script
Summary: databases/mysql-proxy - allow multiple backend addresses with mysql-proxy sta...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-25 14:30 UTC by Alexey Degtyarev
Modified: 2009-10-27 12:40 UTC (History)
0 users

See Also:


Attachments
mysql-proxy.patch (1.07 KB, patch)
2009-06-25 14:30 UTC, Alexey Degtyarev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Degtyarev 2009-06-25 14:30:01 UTC
Current mysql-proxy.sh startup script does not allow use of multiple MySQL
backends due to lack of $mysql_proxy_backend_addresses variable processing.
According to documentation[1] of --proxy-backend-addresses option, it is
possible to specify multiple backend servers by supplying multiple options. But
mysql-proxy.sh just assigns the value of $mysql_proxy_backend_addresses
variable to this option.

The patch allows to use multiple MySQL backend servers by specifying multiple
--proxy-backend-addresses options for each host:port pair in
$mysql_proxy_backend_addresses variable to mysql-proxy command arguments line.

Example of usage:

rc.conf:

mysql_proxy_enable="yes"
mysql_proxy_backend_addresses="10.10.155.201:3306 10.10.155.202:3306"

root@127.0.0.1[(none)]$ select * from proxy_config;
+----------------------------+--------------------+
| option                     | value              |
+----------------------------+--------------------+
| admin.address              | 127.0.0.1:3306     |
| proxy.address              | 10.10.155.203:3306 |
| proxy.lua_script           | NULL               |
| proxy.backend_addresses[0] | 10.10.155.201:3306 |  <====
| proxy.backend_addresses[1] | 10.10.155.202:3306 |  <====
| proxy.fix_bug_25371        | 0                  |
| proxy.profiling            | 1                  |
+----------------------------+--------------------+
7 rows in set (0.00 sec)


[1] http://dev.mysql.com/doc/refman/5.0/en/mysql-proxy-cmdline.html

How-To-Repeat: Just try to use more than one MySQL backend addresses.
Comment 1 Edwin Groothuis freebsd_committer 2009-06-25 14:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alexey Degtyarev 2009-07-20 20:01:36 UTC
> Thank you very much for your problem report.
> It has the internal identification `ports/136028'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=136028
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       databases/mysql-proxy - allow multiple backend addresses with mysql-proxy startup script
> >Arrival-Date:   Thu Jun 25 13:30:01 UTC 2009

Any thoughts?

-- 
Alexey V. Degtyarev
Comment 3 dfilter service freebsd_committer 2009-10-27 12:31:35 UTC
clsung      2009-10-27 12:31:22 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql-proxy Makefile 
    databases/mysql-proxy/files mysql-proxy.sh.in 
  Log:
  - allow multiple backend addresses with mysql-proxy startup script
  - bump PORTREVISION
  
  PR:             ports/136028
  Submitted by:   Alexey V dot Degtyarev <alexey_AT_renatasystems dot org>
  
  Revision  Changes    Path
  1.16      +1 -0      ports/databases/mysql-proxy/Makefile
  1.3       +6 -2      ports/databases/mysql-proxy/files/mysql-proxy.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2009-10-27 12:31:36 UTC
State Changed
From-To: open->closed

Committed. Thank You.